com.pixelmed.network

## Class MultipleInstanceTransferStatusHandlerWithFileName

- java.lang.Object
- - com.pixelmed.network.MultipleInstanceTransferStatusHandler
  - - com.pixelmed.network.MultipleInstanceTransferStatusHandlerWithFileName

- Direct Known Subclasses:
    DicomCleaner.OurMultipleInstanceTransferStatusHandler, DoseUtility.OurMultipleInstanceTransferStatusHandler, DownloadOrTransmit.OurMultipleInstanceTransferStatusHandler, MultiModalitySimulator.OurMultipleInstanceTransferStatusHandler, WatchFolderAndSend.OurMultipleInstanceTransferStatusHandlerWithFileName

      public abstract class MultipleInstanceTransferStatusHandlerWithFileName
      extends MultipleInstanceTransferStatusHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipleInstanceTransferStatusHandlerWithFileName()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `updateStatus(int nRemaining, int nCompleted, int nFailed, int nWarning, java.lang.String sopInstanceUID)`
    `abstract void` | `updateStatus(int nRemaining, int nCompleted, int nFailed, int nWarning, java.lang.String sopInstanceUID, java.lang.String fileName, boolean success)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultipleInstanceTransferStatusHandlerWithFileName

          public MultipleInstanceTransferStatusHandlerWithFileName()

  - ### Method Detail

    - #### updateStatus

          public abstract void updateStatus(int nRemaining,
                                            int nCompleted,
                                            int nFailed,
                                            int nWarning,
                                            java.lang.String sopInstanceUID,
                                            java.lang.String fileName,
                                            boolean success)

    - #### updateStatus

          public void updateStatus(int nRemaining,
                                   int nCompleted,
                                   int nFailed,
                                   int nWarning,
                                   java.lang.String sopInstanceUID)

      Specified by:
        `updateStatus` in class `MultipleInstanceTransferStatusHandler`